Debian Bug report logs - #671912
RFP: python-libais -- Decoding maritime Automatic Identification System messages

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "A. Maitland Bottoms" <bottoms@debian.org>

Date: Tue, 8 May 2012 04:27:02 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#671912; Package wnpp. (Tue, 08 May 2012 04:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "A. Maitland Bottoms" <bottoms@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Tue, 08 May 2012 04:27:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "A. Maitland Bottoms" <bottoms@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: python-libais -- Decoding maritime Automatic Identification System messages
Date: Tue, 8 May 2012 00:25:26 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Package: wnpp
Severity: wishlist
Owner: "A. Maitland Bottoms" <bottoms@debian.org>

* Package name    : python-libais
  Version         : 0.7
  Upstream Author : Kurt Schwehr <schwehr@gmail.com>
* URL             : https://github.com/schwehr/libais
* License         : LGPL v3+
  Programming Lang: C++, Python
  Description     : Library for decoding maritime Automatic Identification System messages

"The decoding happens in C++ and I've written a C++ wrapper for python
 that given a message NMEA payload, is able to return a dictionary back
 to python. I expect this to be about 50x faster than my noaadata
 code."

 -- http://schwehr.org/blog/archives/2010-05.html#e2010-05-03T15_21_47.txt

"After 2 years, I've finally done a point release of libais. I also
 put it into pypi."

 -- http://schwehr.org/blog/archives/2012-04.html#e2012-04-30T13_20_26.txt

This library has become useful - it is fast and is complete enough and
robust enough to be useful to those with a need to decode AIS data to
track ships and ship status messages.

See also:
http://en.wikipedia.org/wiki/Automatic_Identification_System

- -Maitland
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Processed by Mailcrypt 3.5.9 <http://mailcrypt.sourceforge.net/>

iEYEARECAAYFAk+ooDQACgkQkwbJvNrxBUywbwCfYLfAu6pnBcLcShpgKR3LiokC
ORwAmgLwjt6cDM/hYjrEvsrmRG2De4I0
=DE9k
-----END PGP SIGNATURE-----




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 11 May 2012 08:06:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "A. Maitland Bottoms" <bottoms@debian.org>:
Bug#671912; Package wnpp. (Mon, 27 May 2013 14:22:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "A. Maitland Bottoms" <bottoms@debian.org>. (Mon, 27 May 2013 14:22:14 GMT) Full text and rfc822 format available.

Message #12 received at 671912@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 671912@bugs.debian.org
Cc: control@bugs.debian.org
Subject: python-libais: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:11 +0200
retitle 671912 RFP: python-libais -- Decoding maritime Automatic Identification System messages
noowner 671912
tag 671912 - pending
thanks

Hi,

This is an automatic email to change the status of python-libais back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting python-libais, please send a mail to
<control@bugs.debian.org> with:

 retitle 671912 ITP: python-libais -- Decoding maritime Automatic Identification System messages
 owner 671912 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <671912@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: python-libais -- Decoding maritime Automatic Identification System messages' from 'ITP: python-libais -- Decoding maritime Automatic Identification System messages' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:29:54 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by "A. Maitland Bottoms" <bottoms@debian.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:29:54 GMT) Full text and rfc822 format available.

Removed tag(s) pending. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:29:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 08:16:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.